# Uses of Interface
javax.lang.model.type.PrimitiveType

Packages that use PrimitiveType
Package
Description
javax.lang.model.type
Interfaces used to model Java programming language types.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of PrimitiveType in javax.lang.model.type

Methods in javax.lang.model.type with parameters of type PrimitiveType
Modifier and Type
Method
Description
`R`
TypeVisitor.`visitPrimitive(PrimitiveType t, P p)`
Visits a primitive type.

## Uses of PrimitiveType in javax.lang.model.util

Methods in javax.lang.model.util that return PrimitiveType
Modifier and Type
Method
Description
`PrimitiveType`
Types.`getPrimitiveType(TypeKind kind)`
Returns a primitive type.
`PrimitiveType`
Types.`unboxedType(TypeMirror t)`
Returns the type (a primitive type) of unboxed values of a given type.
Methods in javax.lang.model.util with parameters of type PrimitiveType
Modifier and Type
Method
Description
`TypeElement`
Types.`boxedClass(PrimitiveType p)`
Returns the class of a boxed value of the primitive type argument.
`R`
SimpleTypeVisitor6.`visitPrimitive(PrimitiveType t, P p)`
Visits a primitive type.
`R`
TypeKindVisitor6.`visitPrimitive(PrimitiveType t, P p)`
Visits a primitive type.
`R`
TypeKindVisitor6.`visitPrimitiveAsBoolean(PrimitiveType t, P p)`
Visits a `BOOLEAN` primitive type.
`R`
TypeKindVisitor6.`visitPrimitiveAsByte(PrimitiveType t, P p)`
Visits a `BYTE` primitive type.
`R`
TypeKindVisitor6.`visitPrimitiveAsChar(PrimitiveType t, P p)`
Visits a `CHAR` primitive type.
`R`
TypeKindVisitor6.`visitPrimitiveAsDouble(PrimitiveType t, P p)`
Visits a `DOUBLE` primitive type.
`R`
TypeKindVisitor6.`visitPrimitiveAsFloat(PrimitiveType t, P p)`
Visits a `FLOAT` primitive type.
`R`
TypeKindVisitor6.`visitPrimitiveAsInt(PrimitiveType t, P p)`
Visits an `INT` primitive type.
`R`
TypeKindVisitor6.`visitPrimitiveAsLong(PrimitiveType t, P p)`
Visits a `LONG` primitive type.
`R`
TypeKindVisitor6.`visitPrimitiveAsShort(PrimitiveType t, P p)`
Visits a `SHORT` primitive type.